tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Remy Maucherat <r...@jboss.org>
Subject Re: Tomcat 4.1 -> 5.0 Web-app Porting
Date Mon, 15 Sep 2003 14:04:41 GMT
prashant.budhale@acterna.com wrote:

> I'm using Tomcat 5.0.11.
> 
> I still don't understand how this works with Tomcat 4.1 and not 5.0. I
> thought 5.0 was backwards compatible. Besides, struts' tags are very
> popular (<html><bean> etc.). If 5.0 were somehow not compatible with these
> tags, we would hear more complaints from this forum. I am tilting towards
> believing that I am, most probably, facing a configuration/settings
> problem. Any suggestions?

The only way to get a NPE where you're getting it is if the tag pool is 
null. It will only happen if _jspInit is not properly called, basically 
(the code should be easy to read). So I doubt your JSP is a plain & 
clean JSP ;-)

BTW, I developed and tested a rather big Struts webapp using TC 5 
without any problems.

-- 
xxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Rémy Maucherat
Senior Developer & Consultant
JBoss Group (Europe) SàRL
xxxxxxxxxxxxxxxxxxxxxxxxxxxxx


Mime
View raw message